﻿$(document).ready(function () {
    var wayfindingIconMapping = {
        "None": "",
        "North": "icon-arrow-up",
        "Northeast": "icon-arrow-up-right",
        "East": "icon-arrow-right",
        "Southeast": "icon-arrow-down-right",
        "South": "icon-arrow-down",
        "Southwest": "icon-arrow-down-left",
        "West": "icon-arrow-left",
        "Northwest": "icon-arrow-up-left"
    };

    var updateWayfindingIcon = function (element) {
        var $selectTarget = $(element);
        var selectedValue = $selectTarget.find("option:selected").val();
        $selectTarget.parent().find(".wayfinding-icon-preview").html("<i class='icon " + wayfindingIconMapping[selectedValue] + "'></i>");
    }

    $(".wayfinding-icon-selection select").change(function (event) {
        updateWayfindingIcon(event.currentTarget);
    });

    $(".wayfinding-icon-selection select").each(function (index, element) {
        updateWayfindingIcon(element);
    });
});