﻿function ScreenApiFailTopBanner() {
  var bannerId = "screenDisplay-banner";
  var settings;
  this.alert = function (msg, options) {
    settings = $.extend(
      {
        fontColor: "#FF0000",
        backgroundColor: "#FBFF8E",
        fontFamily: "Verdana",
      },
      options
    );

    addMessage(msg);
  };
  this.remove = function () {
    var banner = $("#" + bannerId);
    if (banner.length > 0) {
      banner.remove();
    }
  };

  function addMessage(msg) {
    var divFooterText = $(
      '<div style="font-size: 15px;text-align:center;font-weight:bold;color:' +
        settings.fontColor +
        ";font-family:" +
        settings.fontFamily +
        ';">' +
        msg +
        "</div>"
    );
    getBannerDiv().html(divFooterText);
  }

  function getBannerDiv() {
    if ($("#" + bannerId).length == 0) {
      return createBanner();
    }
    return $("#" + bannerId);
  }

  function createBanner() {
    var div = $(
      '<div id="' +
        bannerId +
        '" style="z-index:9999999;padding-top:8px;padding-bottom:8px;position:absolute;top:0;right:0;width:100%;background:' +
        settings.backgroundColor +
        '">'
    );
    $("body").append(div);
    return div;
  }
}
