﻿function ScreenApiUpdate() {
  this.update = function (data) {
    if (!data) {
      data = ScreenModule.data.getScreenData();
    }
    //on update now we just update the screen so it renders, the smooth way would be use the above and closeInteractivity if it has animation
    setupContent("maincontentTemplate", data, true);
    if (typeof customTemplateScript == "function") {
      customTemplateScript(data);
      PRONESTORDISPLAY.hasNewData = false;
      if (PRONESTORDISPLAY.executingCommand) {
        $(document).trigger("screenDisplay:debug:commandUpdate", [""]);
      }
      if (ScreenModule.data.wasClientupdate()) {
      }
      if (PRONESTORDISPLAY.executingCommand) {
        PRONESTORDISPLAY.executingCommand = false;
      }
      if (ScreenModule.data.wasClientupdate()) {
        ScreenModule.data.setClientUpdate(false);
      }
    }
  };

  this.closeInteractivity = function (callback) {
    $(document).trigger("hideInteractivity");
    if (callback) {
      callback();
    }
  };

  function setupContent(templateId, item, useHandlebars) {
    var settings = ScreenModule.settings.settings();
    var container = ScreenModule.helper.getElements(settings.elements.main);
    var template = $("#" + templateId);
    if (item && template.length > 0) {
      ScreenModule.template.update(template, item, container, settings.localization, useHandlebars);
      if (container) {
        logThis(item);
        container.data("itemData", item);
      }
    }
  }
}
