﻿function ScreenTemplate() {
  this.update = function (template, item, container, options, useHandleBars) {
    if (container) {
      //destroy specific design resources
      if (typeof destroyDesign !== "undefined" && $.isFunction(destroyDesign)) {
        destroyDesign();
      }
      if (useHandleBars) {
        item.Localization = options;
        var design = Handlebars.compile(template.html());
        container.empty();
        container.append(design(item));
      } else {
        container.empty();
        $.tmpl(template, item, options).appendTo(container);
      }
    }
  };
  return this;
}
