﻿function ScreenApiFail() {
  var screenApiFailTopBanner = new ScreenApiFailTopBanner();
  var error500Count = 0;
  var alert500After = 1;
  var reload500After = 5;

  this.setFail = function (jqXhr, textStatus, errorThrown) {
    var failObj = {
      jqXhr: jqXhr,
      textStatus: textStatus,
      errorThrown: errorThrown,
    };
    PRONESTORDISPLAY.fail = failObj;
    handleFail();
  };

  this.clearFail = function () {
    PRONESTORDISPLAY.fail = null;
    error500Count = 0;
    screenApiFailTopBanner.remove();
  };

  this.conainsFail = function () {
    return PRONESTORDISPLAY.fail;
  };
  this.getLastFail = function () {
    return PRONESTORDISPLAY.fail;
  };

  function handleFail() {
    var failObj = PRONESTORDISPLAY.fail;
    if (failObj) {
      if (failObj.jqXhr == "request lost") {
        $(document).trigger("screenDisplay:fail:requestLost");
      }
    }
    if (failObj.jqXhr.status == "500") {
      error500Count += 1;
      if (error500Count >= alert500After) {
        set500Alert();
      }
      if (error500Count >= reload500After) {
        new ScreenSettings().settings().on500Threshold("500Threshold");
      }
    } else {
      error500Count = 0;
    }
  }

  function set500Alert() {
    var message = get500Message();
    ScreenModule.topBanner.alert(message);
  }

  function get500Message() {
    return "Server has failed to receive new data for " + getPollErrorMinutes() + " due to connection issues";
  }

  function getPollErrorMinutes() {
    var interval = new ScreenSettings().settings().update.interval;
    var totalSeconds = error500Count * interval - interval;
    var minutes = Math.floor(totalSeconds / 60);
    var seconds = totalSeconds - minutes * 60;

    if (minutes == 0) {
      return seconds + " seconds";
    } else {
      return minutes + " minutes and " + seconds + " seconds";
    }
  }
}
